IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'D_Obtener_Ventas_Mes_Ao')
	BEGIN
		DROP  Procedure  D_Obtener_Ventas_Mes_Ao
	END
GO

CREATE Procedure D_Obtener_Ventas_Mes_Ao
(
	@fecha AS DATETIME
)
AS

SELECT DatePart(month,Fecha) as Mes, SUM(TotalVentas) as TotalVentas
FROM D_Tienda_Ventas
WHERE YEAR(Fecha) = YEAR(@fecha)
Group By DatePart(month,Fecha)