﻿using System.Web;
using BusinessPanelDatos.Repository;

namespace BusinessPanelWCF
{
    public class Seguridad
    {
        public static bool Autenticar(string usuario, string password)
        {
            if (HttpContext.Current.Session["Autenticado"] == null)
            {
                var repository = new BusinessPanelRepostory();
                if(repository.ValidarUsuario(usuario, password))
                {
                    HttpContext.Current.Session["Autenticado"] = true;
                    return true;
                }
                return false;
            }
            return (bool)(HttpContext.Current.Session["Autenticado"]);
        }
    }
}